Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002755KdenliveFile Loadingpublic2012-09-24 18:032013-05-05 18:28
Reporterassadaf 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusassignedResolutionopen 
Platform64 bit Intel Pentium 4OSOpenSUSEOS Version12.2
Product Version0.9.2 
Target VersionFixed in Version 
Summary0002755: Adding some .kdenfiles as a clic shows up as "Invalid clip" in project monitor
DescriptionI am putting together a project adding subprojects into it, and as theywork fine when editing, they renders fine, but when I add them to the main project I get "missing clip" in project monitor. How ever, they show up fine in the timeline of the main project, but they render as "INVALID".
Steps To ReproduceAdd attached file as a clip and try rendering.
Additional InformationProvided an example file that causes this problem
Tagsimport, kdenlive project, project, proxy clip
Build/Install MethodDistribution package
Attached Files? file icon 3c.kdenlive [^] (91,281 bytes) 2012-09-24 18:03
png file icon kdenlive-proxy-clip-for-project.png [^] (448,091 bytes) 2012-10-02 16:31

- Relationships
related to 0002764closedj-b-m Renders nothing but black 

-  Notes
(0008390)
assadaf (reporter)
2012-09-24 18:11

Coorection - it is the clip monitor stating the "missing clip", not project.
(0008401)
diveo (reporter)
2012-09-26 20:25
edited on: 2012-09-26 20:26

Same situation here, saw this with several recent kdenlive releases in the 0.9.x range. I never managed to get a project-as-a-clip working.

Kubuntu 12.04 64bit.
kdenlive from sunab's svn ppa repository.

(0008402)
BugRoss (reporter)
2012-09-26 21:49

Same situation here. Running AVLinux Version 6.0 on an Intel Dual Core E5200
I also have and AMD machine running 0.8.3 that works just fine. It is running AV Linux version 5.
I will try to load 0.9.2 on that and see if the bug is definitely processor specific and / or AV Linux version specific.
(0008403)
BugRoss (reporter)
2012-09-26 23:41

More details.
I tested no difference AMD vs Intel.
The bug is still there on an AMD using V 0.9.3

I did notice 0.9.2 has a supported types on clips when invoking the load window
and does not list projects.When I load I am picking the unsupported types.
PLEASE WE NEED PROJECT LEVEL (really subprojects) support.

Version 0.8.3 on supported types lists and loads and works
fine with project files.

Version 0.8.3 also seems backwards compatible in loading 9.9.2 projects
and using them as clips no problems.

My guess is that it is something in how version 0.9.2 expects the clip to be loaded with some data.

I believe I changed the director on one Kdenlive project file and succeded in getting it to play in the clip monitor (loaded as a clip)
but never in the project monitor ( invlalid).

Does anyone know the details of the project file structure and what data is required upon clip load in 0.9.2 vs 0.8.3 ?

I looked for reference documents and could not find relevant information.

Ross
(0008404)
j-b-m (administrator)
2012-09-27 00:45

I'd like more infos on that issue. Several problems / regressions in MLT caused errors when trying to add projects in Kdenlive timeline, but most of them should be fixed now. I did some quick tests and I can add a simple .kdenlive project as a clip, add it to timeline and render correctly with current git.

So if some of you could test with current git or the latest 0.9.3 version from sunab's experimental PPA, I would like to know if you still have that problem.

If it is still here, can you try test if the problem is also here with a simple project (1-2 clips)? If a simple project works, can you try to figure out what triggers the bug since I cannot reproduce?
(0008405)
BugRoss (reporter)
2012-09-27 00:54

Thanks j-b-m shall do.
I will look at the documentation, but is there a best distro and version to use ?
What are you using ? Should I try to make it happen on the current distro I am using (AV Linux 6) ?

Also, does is still show up as unsupported in the import box ?

Ross
(0008406)
j-b-m (administrator)
2012-09-27 01:11

BugRoss, it doesn't really matter which distro you are on. What I need to know is if the bug it still reproducible with a recent MLT+Kdenlive version.

An important bug was fixed in MLT on the 22nd of september, so I need you to test with a very recent MLT...

If you cannot find recent packages for your distro, you might want to try the build scripts:
http://www.mltframework.org/twiki/bin/view/MLT/BuildScripts [^]
(0008407)
BugRoss (reporter)
2012-09-27 01:35

Thanks j-b-m I will work on it.
It will be my first build from source , so I wanted to make it as idiot proof and compatible as possible. I will feedback as soon as I know, and thank you greatly for the work and attention to it.
Ross
(0008408)
BugRoss (reporter)
2012-09-27 08:00

PROBABLY FIXED - THANK YOU !
WOW, THAT WAS FAST.
Seems to be working now on the development version (with a simple test - will test further) and report back if any issues.
Thanks,
Ross
(0008417)
diveo (reporter)
2012-09-30 17:48

Bad news from my testing: adding Kdenlive projects as clips still don't really work in the end. But for the details...

First, I installed the latest nightly from sunab's svn repo. Then checked with some slightly complex projects that I included as a clip on my quadcore i5 system with Kubuntu 12.04 64bit and found the following:

1. adding the 1280p/25 project clip without proxy clip works as expected, I get the preview (albeit extremely slow on complex projects, but that's not the problem here) and I can render.

2. Rendering the project clip results in missing video footage: some clips are present in the rendering for a few seconds and then dissappear. The rendering result is thus unusable.

3. generating a proxy clip for the project clip added results in a big black border, clipping off large sections of the original project video. The clip properties say 1920x1280 with a pixel aspect ration of 0.0.

4. Rendering the project clip again results in missing video footage: some clips are present in the rendering for a few seconds and then dissappear. The rendering result is thus unusable.
(0008421)
BugRoss (reporter)
2012-09-30 22:22

Hi Guys,
On the 9/20 sunab ppa (one version) back it works for me just fine.
I am rendering half hour long projects with other projects used as clips (subprojects) within the main project. Some of these subprojects are around 20minutes in length with a few simple transitions. I am rendering out to MPEG2
(for broadcast) with no problems. I just carefully double checked. THE PROJECTS ARE IN 4:3 SD 720x480. In this version I did notice some transistions are not available and there are some other relatively minor issues that I will report at some point. The main one for now is that I the You Tube render options are not available. Any one have any ideas on that ? Later I will make a full report. I have two more shows I must complete today (and this version works for me now) after that I will load the latest version and report back.

Thanks everyone for all your input and help.
Aloha from Hawaii
Ross
(0008423)
j-b-m (administrator)
2012-09-30 23:42

I think the disappearing clips on render might be related to issue 0002764.

@diveo: I fixed the aspect ratio info that was incorrectly showing 0.0, but I cannot reproduce the aspect ratio problem in proxy clip. Are you using different profiles for the project and the .kdenlive clip you insert? Can you reproduce with a very simple project (1 clip) and give detailled infos about the profiles used and the format of the video clip?
(0008427)
BugRoss (reporter)
2012-10-01 10:41

Roger that, I am getting it also now.
It seems to be mostly with graphics (.png) what is weird is that it renders the first bit of a clip sometimes and all of the transitions. Also, it seems as if they was not happening until AFTER I did some system updates for Kubuntu this morning. It also still occurs with the latest PPA build. For now I am trying to render on a 0.8.3 and it seems to be working. I might also be able to figure out what system updates were done that may have caused the problem which was not happening before them.
(0008428)
assadaf (reporter)
2012-10-01 12:12

I noticed that adding project files into new, clean main project - with same profile settings as with sub ones, it rendered fine now with 0.8.2 - unless I clicked on any of the project preview icons when the invalid issue arised - except with one clip that worked fine.
(0008433)
diveo (reporter)
2012-10-02 16:02

@j-b-m: no, both the main project as well as the project included as a clip share exactly the same properties: 1080p/25fps, same aspect ration, it's all the same source material.
(0008434)
diveo (reporter)
2012-10-02 16:23

@g-b-m: 0002764 ... yes, that seems the issue I was seeing. Updating to today's ppa svn repo packages cured the mlt rendering regression. So at least I can render projects again. Thanks for fixing that!
(0008435)
diveo (reporter)
2012-10-02 16:34
edited on: 2012-10-02 16:37

Attached a screenshot showing what is happening after I enabled the proxy clip on the kdenlive project clip: big black clipped border around the original included clip and the titling clips completely out of place and scale.

BTW: final rendering via mlt works now as expected and produces the expected result without any regressions.

(0008443)
assadaf (reporter)
2012-10-08 21:27

Fantastic work and a good bow down for everyone participated. Problem solved by latest upstream OpenSuse 12.2 KdeNlive 0.9.2. No more INVALID clips. Only another thing with mp4 rendering and big black margins... But that is a nother issue. Thank you very much so far.
(0009521)
assadaf (reporter)
2013-05-05 18:28

Cannot reproduce this problem no longer, I guess this is sorted in latest versions.

- Issue History
Date Modified Username Field Change
2012-09-24 18:03 assadaf New Issue
2012-09-24 18:03 assadaf File Added: 3c.kdenlive
2012-09-24 18:11 assadaf Note Added: 0008390
2012-09-26 20:25 diveo Note Added: 0008401
2012-09-26 20:26 diveo Note Edited: 0008401 View Revisions
2012-09-26 21:49 BugRoss Note Added: 0008402
2012-09-26 23:41 BugRoss Note Added: 0008403
2012-09-27 00:45 j-b-m Note Added: 0008404
2012-09-27 00:45 j-b-m Assigned To => j-b-m
2012-09-27 00:45 j-b-m Status new => feedback
2012-09-27 00:54 BugRoss Note Added: 0008405
2012-09-27 01:11 j-b-m Note Added: 0008406
2012-09-27 01:35 BugRoss Note Added: 0008407
2012-09-27 08:00 BugRoss Note Added: 0008408
2012-09-30 17:48 diveo Note Added: 0008417
2012-09-30 22:22 BugRoss Note Added: 0008421
2012-09-30 23:39 j-b-m Relationship added related to 0002764
2012-09-30 23:42 j-b-m Note Added: 0008423
2012-10-01 10:41 BugRoss Note Added: 0008427
2012-10-01 12:12 assadaf Note Added: 0008428
2012-10-01 12:12 assadaf Status feedback => assigned
2012-10-02 16:02 diveo Note Added: 0008433
2012-10-02 16:23 diveo Note Added: 0008434
2012-10-02 16:31 diveo Tag Attached: project
2012-10-02 16:31 diveo Tag Attached: import
2012-10-02 16:31 diveo Tag Attached: kdenlive project
2012-10-02 16:31 diveo Tag Attached: proxy clip
2012-10-02 16:31 diveo File Added: kdenlive-proxy-clip-for-project.png
2012-10-02 16:34 diveo Note Added: 0008435
2012-10-02 16:37 diveo Note Edited: 0008435 View Revisions
2012-10-08 21:27 assadaf Note Added: 0008443
2013-05-05 18:28 assadaf Note Added: 0009521


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker